KBUILDSYCOCA5(8)

NAME
kbuildsycoca5 - Erstellt den Zwischenspeicher für die Systemeinstellungen der KService-Desktop-Dateien neu

ÜBERSICHT

kbuildsycoca5 [Optionen...]

BESCHREIBUNG

kbuildsycoca5 erstellt den binären Zwischenspeicher der in Dateien mit der Erweiterung .desktop, .directory und dem MIME-Typdateien mit der Erweiterung .xml, den das KService-Framework benutzt, um Module, Programme und andere Dienste zu finden.

Die Bibliothek KService benutzt diese Datenbank, um die angefragten Informationen effektiv bereit zustellen.

Benutzer müssen dieses Programm normalerweise nicht direkt ausführen. Es wird von KService ausgeführt, wenn es nötig ist, weil eine der zwischengespeicherten Daten geändert wurde.

OPTIONEN

--global
    Ignoriert alle benutzerdefinierten Dateien (in XDG_DATA_HOME). Dies wird zurzeit nur in UNIX®-Systemen unterstützt.

--noincremental
    Anstatt den vorhandenen Zwischenspeicher zu verwenden und nur die geänderten oder hinzugefügten Informationen zu aktualisieren, wird der Zwischenspeicher vollständig neu erstellt. Diese Option wird ignoriert, wenn --global verwendet wird.

--nosignal
    Normalerweise sendet kbuildsycoca5 bei der Aktualisierung des Zwischenspeichers ein Signal über D-Bus an alle Anwendungen, die KService verwenden, damit die Anwendungen immer mit den neuesten Informationen arbeiten. Mit dieser Option wird dieses Verhalten abgeschaltet.

--menutest
    Testet die Erstellung der Datenbank für das Startmenü. Der Zwischenspeicher wird nicht neu generiert.

--testmode
    Verwendet den Testmodus für QStandardPaths, um Kollisionen mit Benutzerdaten zu verhindern. Dies sollte für Unit-Test verwendet werden.

--track menu-id
    Menü-Kennung (ID) für Fehlersuche zurückverfolgen.

--author
    Zeigt Informationen über den Autor.

--license
    Zeigt Lizenz-Informationen an.

-h, --help
    Zeigt einen kurzen Hilfetext.

-v , --version
    Zeigt Versionsinformation an.

DATEIEN

cachedir/ksycoca5_[lang]_[sha1-of-dirs]
    Der KService-Zwischenspeicher, der durch kbuildsycoca5 erstellt wurde. In UNIX®-Systemen ist cachedir normalerweise XDG_CACHE_HOME

SIEHE AUCH

kded5(8), kdeinit5(8)

FEHLER

Bitte berichten Sie Fehler im Fehlerverfolgungssystem von KDE[1].

AUTOREN

Darian Lanx <content@openprojects.net>
    Schrieb die ursprüngliche Dokumentation.

Alex Merry <alexmerry@kde.org>
    Aktualisierung der Dokumentation für KDE Frameworks 5.

FUßNOTEN

1.  Fehlerverfolgungssystem von KDE
    https://bugs.kde.org